# eric7.Preferences.ConfigurationPages.LogViewerPage

Module implementing the Log Viewer configuration page.

### Global Attributes

None

### Classes

LogViewerPage | Class implementing the Log Viewer configuration page.

### Functions

create | Module function to create the configuration page.

## LogViewerPage

Class implementing the Log Viewer configuration page.

### Derived from

ConfigurationPageBase, Ui_LogViewerPage

### Class Attributes

None

### Class Methods

None

### Methods

LogViewerPage | Constructor
__colorChanged | Private slot handling the selection of a color.
save | Public slot to save the Interface configuration.

### Static Methods

None

#### LogViewerPage (Constructor)

LogViewerPage(parent=None)

Constructor

parent
  reference to the parent widget (QWidget)

#### LogViewerPage.__colorChanged

__colorChanged(colorKey, color)

Private slot handling the selection of a color.

colorKey (str)
  key of the color entry
color (QColor)
  selected color

#### LogViewerPage.save

save()

Public slot to save the Interface configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Return:
  reference to the instantiated page (ConfigurationPageBase)

Up